diff --git a/cots/org.apache.qpid/.classpath b/cots/org.apache.qpid/.classpath
index 02d8399829..a0aab2bdbe 100644
--- a/cots/org.apache.qpid/.classpath
+++ b/cots/org.apache.qpid/.classpath
@@ -2,8 +2,7 @@
-
-
-
+
+
diff --git a/cots/org.apache.qpid/META-INF/MANIFEST.MF b/cots/org.apache.qpid/META-INF/MANIFEST.MF
index 21f97e42ce..838e561d2d 100644
--- a/cots/org.apache.qpid/META-INF/MANIFEST.MF
+++ b/cots/org.apache.qpid/META-INF/MANIFEST.MF
@@ -2,38 +2,31 @@ Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: Qpid
Bundle-SymbolicName: org.apache.qpid
-Bundle-Version: 1.0.0.7
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.apache.log4j;bundle-version="1.0.0",
- javax.jms;bundle-version="1.0.0",
- org.apache.mina;bundle-version="1.0.0",
- org.apache.commons.beanutils;bundle-version="1.8.0",
- org.apache.commons.collections;bundle-version="3.2.0",
- org.apache.commons.codec;bundle-version="1.3",
- org.apache.commons.lang;bundle-version="2.2",
+Bundle-Version: 1.0.0.18
+Require-Bundle: javax.jms;bundle-version="1.0.0",
org.slf4j
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Eclipse-BuddyPolicy: registered, ext, global
-Bundle-ClassPath: qpid-client-0.7.jar,
- qpid-common-0.7.jar,
- backport-util-concurrent-2.2.jar
+Bundle-ClassPath: qpid-client-0.18.jar,
+ qpid-common-0.18.jar
Export-Package: org.apache.qpid,
org.apache.qpid.api,
org.apache.qpid.client,
org.apache.qpid.client.failover,
+ org.apache.qpid.client.filter,
org.apache.qpid.client.handler,
org.apache.qpid.client.message,
+ org.apache.qpid.client.messaging.address,
org.apache.qpid.client.protocol,
org.apache.qpid.client.security,
org.apache.qpid.client.security.amqplain,
+ org.apache.qpid.client.security.anonymous,
org.apache.qpid.client.security.crammd5hashed,
org.apache.qpid.client.state,
org.apache.qpid.client.state.listener,
org.apache.qpid.client.transport,
org.apache.qpid.client.url,
org.apache.qpid.client.util,
- org.apache.qpid.client.vmbroker,
org.apache.qpid.codec,
org.apache.qpid.common,
org.apache.qpid.configuration,
@@ -44,26 +37,28 @@ Export-Package: org.apache.qpid,
org.apache.qpid.framing,
org.apache.qpid.framing.abstraction,
org.apache.qpid.framing.amqp_0_9,
+ org.apache.qpid.framing.amqp_0_91,
org.apache.qpid.framing.amqp_8_0,
org.apache.qpid.jms,
org.apache.qpid.jms.failover,
org.apache.qpid.jndi,
- org.apache.qpid.naming,
+ org.apache.qpid.messaging,
+ org.apache.qpid.messaging.util,
org.apache.qpid.nclient,
org.apache.qpid.nclient.util,
- org.apache.qpid.njms,
org.apache.qpid.pool,
+ org.apache.qpid.properties,
org.apache.qpid.protocol,
- org.apache.qpid.security,
org.apache.qpid.ssl,
org.apache.qpid.thread,
org.apache.qpid.transport,
org.apache.qpid.transport.codec,
org.apache.qpid.transport.network,
org.apache.qpid.transport.network.io,
- org.apache.qpid.transport.network.mina,
- org.apache.qpid.transport.network.nio,
+ org.apache.qpid.transport.network.security,
+ org.apache.qpid.transport.network.security.sasl,
+ org.apache.qpid.transport.network.security.ssl,
org.apache.qpid.transport.util,
org.apache.qpid.url,
- org.apache.qpid.util,
- org.apache.qpid.util.concurrent
+ org.apache.qpid.util
+
diff --git a/cots/org.apache.qpid/backport-util-concurrent-2.2.jar b/cots/org.apache.qpid/backport-util-concurrent-2.2.jar
deleted file mode 100644
index 20a16877bd..0000000000
Binary files a/cots/org.apache.qpid/backport-util-concurrent-2.2.jar and /dev/null differ
diff --git a/cots/org.apache.qpid/build.properties b/cots/org.apache.qpid/build.properties
index 876f39cf9c..0acf6ce665 100644
--- a/cots/org.apache.qpid/build.properties
+++ b/cots/org.apache.qpid/build.properties
@@ -1,4 +1,3 @@
bin.includes = META-INF/,\
- qpid-client-0.7.jar,\
- qpid-common-0.7.jar,\
- backport-util-concurrent-2.2.jar
+ qpid-client-0.18.jar,\
+ qpid-common-0.18.jar
diff --git a/cots/org.apache.qpid/qpid-client-0.18-sources.jar b/cots/org.apache.qpid/qpid-client-0.18-sources.jar
new file mode 100644
index 0000000000..f47dc6e358
Binary files /dev/null and b/cots/org.apache.qpid/qpid-client-0.18-sources.jar differ
diff --git a/cots/org.apache.qpid/qpid-client-0.18.jar b/cots/org.apache.qpid/qpid-client-0.18.jar
new file mode 100644
index 0000000000..f0f1eaf1f9
Binary files /dev/null and b/cots/org.apache.qpid/qpid-client-0.18.jar differ
diff --git a/cots/org.apache.qpid/qpid-client-0.7-src.zip b/cots/org.apache.qpid/qpid-client-0.7-src.zip
deleted file mode 100644
index c6fbc326c4..0000000000
Binary files a/cots/org.apache.qpid/qpid-client-0.7-src.zip and /dev/null differ
diff --git a/cots/org.apache.qpid/qpid-client-0.7.jar b/cots/org.apache.qpid/qpid-client-0.7.jar
deleted file mode 100644
index e0a2638b8b..0000000000
Binary files a/cots/org.apache.qpid/qpid-client-0.7.jar and /dev/null differ
diff --git a/cots/org.apache.qpid/qpid-common-0.18-sources.jar b/cots/org.apache.qpid/qpid-common-0.18-sources.jar
new file mode 100644
index 0000000000..f9b55734fa
Binary files /dev/null and b/cots/org.apache.qpid/qpid-common-0.18-sources.jar differ
diff --git a/cots/org.apache.qpid/qpid-common-0.18.jar b/cots/org.apache.qpid/qpid-common-0.18.jar
new file mode 100644
index 0000000000..9fb5d886c7
Binary files /dev/null and b/cots/org.apache.qpid/qpid-common-0.18.jar differ
diff --git a/cots/org.apache.qpid/qpid-common-0.7-src.zip b/cots/org.apache.qpid/qpid-common-0.7-src.zip
deleted file mode 100644
index be3926449e..0000000000
Binary files a/cots/org.apache.qpid/qpid-common-0.7-src.zip and /dev/null differ
diff --git a/cots/org.apache.qpid/qpid-common-0.7.jar b/cots/org.apache.qpid/qpid-common-0.7.jar
deleted file mode 100644
index 649618d1ca..0000000000
Binary files a/cots/org.apache.qpid/qpid-common-0.7.jar and /dev/null differ
diff --git a/edexOsgi/com.raytheon.edex.plugin.gfe/res/spring/gfe-spring.xml b/edexOsgi/com.raytheon.edex.plugin.gfe/res/spring/gfe-spring.xml
index 2af6e8d17a..3eb0ce45de 100644
--- a/edexOsgi/com.raytheon.edex.plugin.gfe/res/spring/gfe-spring.xml
+++ b/edexOsgi/com.raytheon.edex.plugin.gfe/res/spring/gfe-spring.xml
@@ -136,9 +136,20 @@
+
+
+
+
+
+
+
+
+
+
+
-
+
*
@@ -45,9 +45,9 @@ import com.raytheon.uf.edex.pointdata.PointDataPluginDao;
*
* Date Ticket# Engineer Description
* ------------ ---------- ----------- --------------------------
- * Nov 1, 2011 njensen Initial creation
- * Jan 14, 2013 1469 bkowal Removed the hdf5 data directory
- *
+ * Nov 1, 2011 njensen Initial creation
+ * Jan 14, 2013 1469 bkowal Removed the hdf5 data directory
+ * Mar 21, 2013 1814 rjpeter Fixed logging of exception.
*
*
* @author njensen
@@ -79,7 +79,8 @@ public class DataStoreRepacker {
try {
ds.repack(compression);
} catch (StorageException e) {
- statusHandler.handle(Priority.PROBLEM, e.getLocalizedMessage());
+ statusHandler.handle(Priority.PROBLEM, e.getLocalizedMessage(),
+ e);
}
}
// TODO change log statement if more than pointdata is hooked into this
diff --git a/rpms/awips2.qpid/0.18/SOURCES/config.xml b/rpms/awips2.qpid/0.18/SOURCES/config.xml
index 08c7c23d13..2023d8371a 100644
--- a/rpms/awips2.qpid/0.18/SOURCES/config.xml
+++ b/rpms/awips2.qpid/0.18/SOURCES/config.xml
@@ -1,35 +1,45 @@
+
${QPID_HOME}
${QPID_WORK}
${prefix}/etc
- ${QPID_HOME}/lib/plugins
+ ${QPID_HOME}/lib/opt
${QPID_WORK}/cache
false
@@ -57,13 +67,20 @@
${conf}/qpid.keystore
password
+
+ true
+ 8180
+ false
+ false
+ 600
+
false
65535
- en_US
+ en_US
@@ -102,5 +119,3 @@
ON
-
-
diff --git a/rpms/awips2.qpid/0.18/SOURCES/qpidd b/rpms/awips2.qpid/0.18/SOURCES/qpidd
new file mode 100644
index 0000000000..514b96aa81
--- /dev/null
+++ b/rpms/awips2.qpid/0.18/SOURCES/qpidd
@@ -0,0 +1,127 @@
+#!/bin/bash
+#
+# qpidd This shell script takes care of starting and stopping
+# the AWIPS qpid instance.
+#
+# chkconfig: - 99 10
+# description: Qpid messaging broker used by the AWIPS 2 instance
+# processname: qpid-server
+# config: /awips2/qpid/etc/config.xml
+
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+RETVAL=0
+prog="qpid-server"
+
+# Who to run QPID as, usually "awips". (NOT "root")
+QPIDUSER=awips
+
+# Todays date in format of YYYYMMDD.
+TODAY=`/bin/date +%Y%m%d`
+
+QPID_HOME=/awips2/qpid
+
+QPID_JAVA_MEM=-Xmx3072m
+
+start() {
+ isRunning=`ps -ef | grep org.apache.qpid.server.Main | grep -c "PNAME=QPBRKR "`
+ if [ $isRunning -eq 1 ]; then
+ echo "WARNING: QPID already running, not starting another instance"
+ return 1
+ fi
+
+ DAEMON="${QPID_HOME}/bin/qpid-server"
+
+ QPIDSTARTLOG=${QPID_HOME}/log/start-qpid-$TODAY.log
+ su $QPIDUSER -c "$DAEMON" >> $QPIDSTARTLOG 2>&1 &
+ sleep 5
+ checkStatus
+}
+
+stop() {
+ isRunning=`ps -ef | grep org.apache.qpid.server.Main | grep -c "PNAME=QPBRKR "`
+
+ if [ $isRunning -eq 1 ]; then
+ pid=`ps -e -o pid,args | grep org.apache.qpid.server.Main | grep "PNAME=QPBRKR " | grep -e "^ *\([0-9]\+\)" -o`
+ kill $pid
+
+ CNT=0
+ while [[ "X$pid" != "X" ]]; do
+ if [ "$CNT" -ge "15" ]; then
+ echo "QPID did not shut down gracefully in 15 seconds, force shutting down"
+ kill -9 $pid
+ else
+ let CNT=${CNT}+1
+ fi
+
+ sleep 1
+ pid=`ps -e -o pid,args | grep org.apache.qpid.server.Main | grep "PNAME=QPBRKR " | grep -e "^ *\([0-9]\+\)" -o`
+ done
+ else
+ echo "QPID is not running"
+ fi
+
+}
+
+checkStatus() {
+ isRunning=`ps -ef | grep org.apache.qpid.server.Main | grep -c "PNAME=QPBRKR "`
+ if [ $isRunning -eq 1 ]; then
+ pid=`ps -e -o pid,args | grep org.apache.qpid.server.Main | grep "PNAME=QPBRKR " | grep -e "^ *\([0-9]\+\)" -o`
+ echo "QPID is running (PID $pid)"
+ else
+ echo "QPID is not running"
+ fi
+}
+
+# Verify root user
+checkUser() {
+ REQUIREDUSER="root"
+ CURUSER=`whoami`
+ if [ "$CURUSER" != "$REQUIREDUSER" ]; then
+ echo "Insufficient privileges: must run script as $REQUIREDUSER"
+ exit 1
+ fi
+}
+
+# See how we were called.
+case $1 in
+ start)
+ checkUser
+ echo "Starting QPID"
+ start
+ RETVAL=$?
+ ;;
+ stop)
+ checkUser
+ echo "Stopping QPID"
+ stop
+ RETVAL=$?
+ ;;
+ restart)
+ checkUser
+ echo "Stopping QPID"
+ stop
+ echo "Starting QPID"
+ start
+ RETVAL=$?
+ ;;
+ status)
+ checkStatus
+ RETVAL=$?
+ ;;
+ *)
+ # Print help
+ echo "Usage: $0 {start|stop|restart|reload|status}" 1>&2
+ exit 1
+ ;;
+esac
+
+exit $RETVAL
diff --git a/rpms/awips2.qpid/0.18/SOURCES/virtualhosts.xml b/rpms/awips2.qpid/0.18/SOURCES/virtualhosts.xml
index dcd5f655f9..3530054e80 100644
--- a/rpms/awips2.qpid/0.18/SOURCES/virtualhosts.xml
+++ b/rpms/awips2.qpid/0.18/SOURCES/virtualhosts.xml
@@ -1,23 +1,33 @@
+
edex
@@ -29,6 +39,63 @@
org.apache.qpid.server.store.derby.DerbyMessageStore
${QPID_WORK}/messageStore
+
+
+ 5
+ minutes
+
+
+
+ amq.direct
+
+
+
+ 5294080
+
+
+ 2117632
+
+
+ 300000
+
+
+ 15000
+ true
+
+
+
+
+
+
+
+
+
+
+
+ 600000
+
+
+
+ 5000
+
+
+
+ topicDelete
+
+
+
+
+
+
+
+